package com.example.carillon_map_box

import android.app.Activity
import android.content.Intent
import com.mapbox.geojson.Point
import java.io.Serializable
import java.util.*

class NavigationLauncher {
    companion object {
        fun startNavigation(activity: Activity, options: Map<String, Objects>) {
            val navIntent = Intent(activity, NavigationActivity::class.java)
            navIntent.putExtra("options", options as Serializable)
            activity.startActivity(navIntent)
        }
    }
}